﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DrawImage
{
	public partial class Form1 : Form
	{
        private int mode = 0;

		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Paint(object sender, PaintEventArgs e)
		{
            Graphics g = e.Graphics;
			Image i = Image.FromFile("수련.jpg");
            switch (mode)
            {
                case 0: g.DrawImage(i, 0, 0); break;
                case 1: g.DrawImage(i, new Point(10, 10)); break;
                case 2: g.DrawImage(i, new Rectangle(10, 10, 300, 300)); break;
                case 3: g.DrawImage(i, 0, 0, 300, 300); break;
                case 4: g.DrawImage(i, 0, 0, 150, 300); break;
                case 5: g.DrawImage(i, 0, 0, 300, 150); break;
                case 6: g.DrawImage(i, 10, 10, new Rectangle(70, 20, 300, 320), GraphicsUnit.Pixel); break;
                case 7: g.DrawImage(i, new Rectangle(10, 10, 200, 200), 70, 20, 300, 300, GraphicsUnit.Pixel); break;
                case 8:
                    Rectangle r = new Rectangle(70, 20, 300, 320);
                    Point[] pts = { new Point(0, 0), new Point(300, 0), new Point(100, 200) };
                    g.DrawImage(i, pts, r, GraphicsUnit.Pixel);
                    break;
            }
            Font f = new Font("맑은 고딕", 12);
            g.DrawString("스페이스바를 누르세요", f, Brushes.White, 10, 10);
		}

        private void Form1_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == ' ')
            {
                mode++;
                if (mode >= 9)
                    mode = 0;
                Invalidate();
            }
        }
	}
}
